> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/univ4-hook/contract.lptoken.md).

# LPToken

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/univ4-hook/LPToken.sol)

**Inherits:** ERC20

## State Variables

### hook

```solidity
address public hook
```

## Functions

### constructor

```solidity
constructor(string memory _name, string memory _symbol, address _hook) ERC20(_name, _symbol, 18);
```

### hookOnly

Restricts function access to the hook only.

```solidity
modifier hookOnly() ;
```

### \_hookOnly

```solidity
function _hookOnly() internal view;
```

### mint

Mints LP tokens. Can only be called by the authorized hook.

```solidity
function mint(address to, uint256 amount) external hookOnly;
```

### burn

Burns LP tokens. Can only be called by the authorized hook.

```solidity
function burn(address from, uint256 amount) external hookOnly;
```

## Errors

### InvalidCaller

```solidity
error InvalidCaller(string message);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/univ4-hook/contract.lptoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
